<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>查看内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item" id="actionDiv" style="display:none; text-align: center;width:100% !important;font-size: 17px">
                    <b>如果数据展示不做权限校验, 可以直接访问全路径</b></br>
                    <b>如果数据展示需要权限校验, 需要引入模块、修改配置、访问/api/templaterecord/html/业务ID</b>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">业务ID</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateRecordId" name="templateRecordId" class="layui-input" value="" placeholder="请输入业务ID" >
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">业务内容</label>
                    <div class="layui-input-block">
                        <input type="text" id="businessContent" name="businessContent" class="layui-input" value="" placeholder="请输入业务内容" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">初次生成</label>
                    <div class="layui-input-block">
                        <input type="text" id="gmtCreate" name="gmtCreate" class="layui-input" value="" placeholder="请输入初次生成时间" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">更新时间</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateRecordBuilderTime" name="templateRecordBuilderTime" class="layui-input" value="" placeholder="请输入生成时间" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">存储路径</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateRecordPath" name="templateRecordPath" class="layui-input" value="" placeholder="请输入存储路径" lay-verify="required">
                    </div>
                </div>
                <!--<div class="layui-form-item">
                    <label class="layui-form-label">访问路径</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateRecordUrl" name="templateRecordUrl" class="layui-input" value="" placeholder="请输入访问路径" >
                    </div>
                </div>-->
                <div class="layui-form-item">
                    <label class="layui-form-label">访问路径</label>
                    <div class="layui-input-block">
                        <input type="text" id="templateRecordUrlNginx" name="templateRecordUrlNginx" class="layui-input" value="" placeholder="请输入访问路径" >
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var templateRecordId = top.restAjax.params(window.location.href).templateRecordId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/listfilebyfileid', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/downloadfile/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }


        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/templaterecord/gettemplaterecordbyid/{templateRecordId}', [templateRecordId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i];
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>